// 引入 request 文件
// import request from '@/utils/request'

import Request from "@/utils/request.js"

/**
 * 获取首页数据
 */
export function queryList(data) {
	return Request.httpRequest({
		method: 'GET',
		url: '/api/index/index',
		data
	})
}

/**
 * 详情
 */
export function groupdetail(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/index/groupdetail',
		data
	})
}


/**
 * 购买搭子群二维码
 * @param data 请求参数
 */
export function buyservice(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/index/buygroup',
		data
	})
}



/**
 * 漂流瓶 - 捡一个
 */
export function pickupdriftBottle(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/pickupdriftBottle',
		data
	})
}


/**
 *漂流瓶 - 扔一个
 */
export function throwdriftbottle(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/member/throwdriftbottle',
		data
	})
}



/**
 * 写真
 */
export function portraitphotography(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/portraitphotography',
		data
	})
}


/**
 * 摇钱树
 */
export function moneytree(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/moneytree',
		data
	})
}


/**
 *摇钱树 - 领取金币
 */
export function addgoldcoin(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/member/addgoldcoin',
		data
	})
}


/**
 * 抽奖活动
 */
export function raffle(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/raffle',
		data
	})
}


/**
 *抽奖活动 - 立即抽奖
 */
export function prizedraw(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/member/prizedraw',
		data
	})
}



/**
 * 抽奖活动 - 我的包
 */
export function prizedrawlogs(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/prizedrawlogs',
		data
	})
}



/**
 *抽奖活动 - 我的包 - 提交邮寄地址
 */
export function addmailingaddress(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/member/addmailingaddress',
		data
	})
}


/**
 * 首页底部二维码页面数据
 */
export function getindexfootadinfo(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/index/getindexfootadinfo',
		data
	})
}