"use strict";
const utils_request = require("../utils/request.js");
function loginCodeCheck(data) {
  return utils_request.Request.httpRequest({
    method: "POST",
    url: "/api/login/loginCodeCheck",
    data
  });
}
function setUserInfo(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/member/setUserInfo",
    data
  });
}
function getUserAgreement(data) {
  return utils_request.Request.httpRequest({
    method: "GET",
    url: "/api/wxpaynotify/useragreement",
    data
  });
}
function getPrivacyPolicy(data) {
  return utils_request.Request.httpRequest({
    method: "GET",
    url: "/api/wxpaynotify/privacypolicy",
    data
  });
}
exports.getPrivacyPolicy = getPrivacyPolicy;
exports.getUserAgreement = getUserAgreement;
exports.loginCodeCheck = loginCodeCheck;
exports.setUserInfo = setUserInfo;
