"use strict";
const utils_request = require("../utils/request.js");
function submitFeedback(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/member/addfeedback",
    data
  });
}
function getUserInfo(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/usercenter",
    data
  });
}
function getServiceOrder(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/serviceorder",
    data
  });
}
function getMessageBoard(data) {
  return utils_request.Request.httpRequest({
    method: "GET",
    url: "/api/member/messageboard",
    data
  });
}
function getMyintegral(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/myintegral",
    data
  });
}
function addwithdraw(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/member/addwithdraw",
    data
  });
}
function getwithdraw(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/getwithdraw",
    data
  });
}
function promotionteam(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/promotionteam",
    data
  });
}
function getrecharge(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/getrecharge",
    data
  });
}
function addrecharge(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/member/addrecharge",
    data
  });
}
function getvipequity(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/getvipequity",
    data
  });
}
function getvip(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/getvip",
    data
  });
}
function buyvip(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/member/buyvip",
    data
  });
}
exports.addrecharge = addrecharge;
exports.addwithdraw = addwithdraw;
exports.buyvip = buyvip;
exports.getMessageBoard = getMessageBoard;
exports.getMyintegral = getMyintegral;
exports.getServiceOrder = getServiceOrder;
exports.getUserInfo = getUserInfo;
exports.getrecharge = getrecharge;
exports.getvip = getvip;
exports.getvipequity = getvipequity;
exports.getwithdraw = getwithdraw;
exports.promotionteam = promotionteam;
exports.submitFeedback = submitFeedback;
