"use strict";
const common_vendor = require("../../common/vendor.js");
const api_home = require("../../api/home.js");
require("../../utils/request.js");
const _sfc_main = {
  __name: "contact",
  setup(__props) {
    const dataSourse = common_vendor.ref({
      backgroundimage: "",
      randomElement: ""
    });
    const onImageLoad = (e) => {
      console.log("图片加载完成");
    };
    const handleImageError = (e) => {
      console.error("图片加载失败:", dataSourse.value.randomElement);
    };
    const queryList = async () => {
      common_vendor.index.showLoading();
      const res = await api_home.getindexfootadinfo();
      common_vendor.index.hideLoading();
      dataSourse.value = res.result;
    };
    common_vendor.onShow(() => {
      queryList();
    });
    return (_ctx, _cache) => {
      return {
        a: dataSourse.value.backgroundimage,
        b: common_vendor.o(onImageLoad),
        c: dataSourse.value.randomElement,
        d: common_vendor.o(handleImageError)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesHome/pages/contact.vue"]]);
wx.createPage(MiniProgramPage);
