"use strict";
const common_vendor = require("../../common/vendor.js");
const api_my = require("../../api/my.js");
require("../../store/index.js");
const store_modules_member = require("../../store/modules/member.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "point",
  setup(__props) {
    store_modules_member.useMemberStore();
    const withdrawalState = {
      1: "待平台审核",
      2: "已审核打款",
      3: "审核失败"
    };
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const queryParam = common_vendor.ref({
      type: 1
    });
    const dataSourse = common_vendor.ref({
      "integral": 0,
      "withdraw_price": 0,
      "list": []
    });
    const queryPointList = async () => {
      const res = await api_my.getMyintegral(queryParam.value);
      dataSourse.value.integral = res.result.integral || 0;
      dataSourse.value.withdraw_price = res.result.withdraw_price || 0;
      dataSourse.value.list = res.result.list || [];
    };
    const userInfo = common_vendor.ref({});
    const queryMemberUserInfo = async () => {
      const res = await api_my.getUserInfo({});
      Object.assign(userInfo.value, res.result);
    };
    common_vendor.onShow(() => {
      queryMemberUserInfo();
      queryPointList();
    });
    const currentType = common_vendor.ref(1);
    const onChangeType = (type) => {
      currentType.value = type;
      queryParam.value.type = type;
      queryPointList();
    };
    const back = () => {
      common_vendor.index.navigateBack();
    };
    const handleTo = () => {
      if (userInfo.value["wxskqrcode_id"] == 0) {
        common_vendor.index.showToast({
          icon: "none",
          title: "请先上传收款码"
        });
        setTimeout(() => {
          common_vendor.index.navigateTo({
            url: "/pagesMy/pages/personal_info"
          });
        }, 900);
      } else {
        common_vendor.index.navigateTo({
          url: "/pagesMy/pages/point_withdrawal"
        });
      }
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(back),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: common_vendor.t(dataSourse.value.integral),
        e: common_vendor.o(handleTo),
        f: currentType.value == 1 ? "#FF2F6D" : " #1F1F1F",
        g: common_vendor.t(dataSourse.value.integral),
        h: common_vendor.o(($event) => onChangeType(1)),
        i: currentType.value == 2 ? "#FF2F6D" : " #1F1F1F",
        j: common_vendor.t(dataSourse.value.withdraw_price),
        k: common_vendor.o(($event) => onChangeType(2)),
        l: dataSourse.value.list.length > 0
      }, dataSourse.value.list.length > 0 ? {
        m: common_vendor.f(dataSourse.value.list, (i, index, i0) => {
          return common_vendor.e(currentType.value == 1 ? {
            a: common_vendor.t(i.category == 1 ? "+" : "-"),
            b: common_vendor.t(i.value),
            c: common_vendor.t(i.mark)
          } : {}, currentType.value == 2 ? {
            d: common_vendor.t(i.price),
            e: common_vendor.t(i.integral_num),
            f: common_vendor.t(withdrawalState[i.status])
          } : {}, {
            g: common_vendor.t(i.create_time ? common_vendor.unref(common_vendor.dayjs).unix(i.create_time).format("YYYY.MM.DD HH:mm") : ""),
            h: index
          });
        }),
        n: currentType.value == 1,
        o: currentType.value == 2
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMy/pages/point.vue"]]);
wx.createPage(MiniProgramPage);
