"use strict";
const common_vendor = require("../../common/vendor.js");
const api_login = require("../../api/login.js");
require("../../utils/request.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "privacy",
  setup(__props) {
    const content = common_vendor.ref("");
    const queryPrivacyPolicyInfo = async () => {
      const res = await api_login.getPrivacyPolicy({});
      content.value = res.result;
    };
    common_vendor.onLoad(() => {
      queryPrivacyPolicyInfo();
    });
    return (_ctx, _cache) => {
      return {
        a: content.value
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMy/pages/privacy.vue"]]);
wx.createPage(MiniProgramPage);
