"use strict";
const common_vendor = require("../../common/vendor.js");
const api_my = require("../../api/my.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_uni_list_item2 = common_vendor.resolveComponent("uni-list-item");
  const _easycom_uni_list2 = common_vendor.resolveComponent("uni-list");
  (_easycom_uni_icons2 + _easycom_uni_list_item2 + _easycom_uni_list2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_uni_list_item = () => "../../uni_modules/uni-list/components/uni-list-item/uni-list-item.js";
const _easycom_uni_list = () => "../../uni_modules/uni-list/components/uni-list/uni-list.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_uni_list_item + _easycom_uni_list)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "promotion_team",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const currentType = common_vendor.ref(1);
    const typeOptions = common_vendor.ref([
      {
        type: "1",
        name: "一级团队"
      },
      {
        type: "2",
        name: "二级团队"
      }
    ]);
    const queryParam = common_vendor.ref({
      type: 1
    });
    const dataSourse = common_vendor.ref([]);
    const queryList = async () => {
      common_vendor.index.showLoading();
      const res = await api_my.promotionteam(queryParam.value);
      common_vendor.index.hideLoading();
      dataSourse.value = res.result || [];
    };
    common_vendor.onLoad(() => {
      queryList();
    });
    const onTypeChange = (item) => {
      currentType.value = item.type;
      queryParam.value.type = item.type;
      queryList();
    };
    const back = () => {
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(back),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: common_vendor.f(typeOptions.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.name),
            b: item.type,
            c: currentType.value == item.type ? 1 : "",
            d: common_vendor.o(($event) => onTypeChange(item), item.type)
          };
        }),
        e: dataSourse.value.length > 0
      }, dataSourse.value.length > 0 ? {
        f: common_vendor.f(dataSourse.value, (i, k0, i0) => {
          return {
            a: common_vendor.t(i.useprice),
            b: common_vendor.t(i.pointsnum),
            c: i.id,
            d: "3e18188b-2-" + i0 + ",3e18188b-1",
            e: common_vendor.p({
              title: i.nickname,
              thumb: i.headimg,
              ["thumb-size"]: "lg"
            })
          };
        })
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMy/pages/promotion_team.vue"]]);
wx.createPage(MiniProgramPage);
