"use strict";
const common_vendor = require("../../common/vendor.js");
const api_my = require("../../api/my.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_uni_card2 = common_vendor.resolveComponent("uni-card");
  (_easycom_uni_icons2 + _easycom_uni_card2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_uni_card = () => "../../uni_modules/uni-card/components/uni-card/uni-card.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_uni_card)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "resource",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const queryParam = common_vendor.ref({
      status: 2,
      page: 1
    });
    const dataSourse = common_vendor.ref([]);
    const queryServiceOrderList = async () => {
      common_vendor.index.showLoading();
      const res = await api_my.getServiceOrder(queryParam.value);
      common_vendor.index.hideLoading();
      if (res.result && res.result.length > 0) {
        dataSourse.value.push(...res.result);
        queryParam.value.page++;
      }
    };
    common_vendor.onLoad(() => {
      queryParam.value.page = 1;
      dataSourse.value = [];
      queryServiceOrderList();
    });
    const onScrolltolower = () => {
      queryServiceOrderList();
      console.log("触底了。。。。。。。。");
    };
    const copyOrderNo = (no) => {
      common_vendor.index.setClipboardData({ data: no });
    };
    const back = () => {
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(back),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: common_vendor.f(dataSourse.value, (i, k0, i0) => {
          return {
            a: common_vendor.o(($event) => copyOrderNo(i.ordernum), i.id),
            b: "cbddbdc0-2-" + i0 + "," + ("cbddbdc0-1-" + i0),
            c: common_vendor.t(i.ordernum),
            d: i.service_thumb,
            e: common_vendor.t(i.service_title),
            f: common_vendor.t(i.service_summary),
            g: common_vendor.t(i.totalprice),
            h: common_vendor.t(i.create_time),
            i: i.id,
            j: "cbddbdc0-1-" + i0
          };
        }),
        e: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-fuzhi",
          size: "14"
        }),
        f: common_vendor.p({
          padding: "0",
          margin: "20rpx 0",
          spacing: "0"
        }),
        g: common_vendor.o(onScrolltolower)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMy/pages/resource.vue"]]);
wx.createPage(MiniProgramPage);
