"use strict";
const uni_modules_uviewPlus_components_uCard_props = require("./props.js");
const uni_modules_uviewPlus_libs_mixin_mpMixin = require("../../libs/mixin/mpMixin.js");
const uni_modules_uviewPlus_libs_mixin_mixin = require("../../libs/mixin/mixin.js");
const uni_modules_uviewPlus_libs_function_index = require("../../libs/function/index.js");
const common_vendor = require("../../../../common/vendor.js");
require("../../libs/vue.js");
require("../../libs/config/config.js");
require("../../libs/config/props/datetimePicker.js");
require("../../libs/config/props/icon.js");
require("../../libs/config/props/link.js");
require("../../libs/config/props/loadingIcon.js");
require("../../libs/config/props/navbar.js");
require("../../libs/config/color.js");
require("../../libs/function/test.js");
require("../../libs/util/route.js");
require("../../libs/function/digit.js");
const _sfc_main = {
  name: "up-card",
  data() {
    return {};
  },
  mixins: [uni_modules_uviewPlus_libs_mixin_mpMixin.mpMixin, uni_modules_uviewPlus_libs_mixin_mixin.mixin, uni_modules_uviewPlus_components_uCard_props.propsCard],
  emits: ["click", "head-click", "body-click", "foot-click"],
  methods: {
    addStyle: uni_modules_uviewPlus_libs_function_index.addStyle,
    addUnit: uni_modules_uviewPlus_libs_function_index.addUnit,
    getPx: uni_modules_uviewPlus_libs_function_index.getPx,
    click() {
      this.$emit("click", this.index);
    },
    headClick() {
      this.$emit("head-click", this.index);
    },
    bodyClick() {
      this.$emit("body-click", this.index);
    },
    footClick() {
      this.$emit("foot-click", this.index);
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: _ctx.showHead
  }, _ctx.showHead ? common_vendor.e({
    b: !_ctx.$slots.head
  }, !_ctx.$slots.head ? common_vendor.e({
    c: _ctx.title
  }, _ctx.title ? common_vendor.e({
    d: _ctx.thumb
  }, _ctx.thumb ? {
    e: _ctx.thumb,
    f: $options.addUnit(_ctx.thumbWidth),
    g: $options.addUnit(_ctx.thumbWidth),
    h: _ctx.thumbCircle ? "50px" : "4px"
  } : {}, {
    i: common_vendor.t(_ctx.title),
    j: $options.addUnit(_ctx.titleSize),
    k: _ctx.titleColor
  }) : {}, {
    l: _ctx.subTitle
  }, _ctx.subTitle ? {
    m: common_vendor.t(_ctx.subTitle),
    n: $options.addUnit(_ctx.subTitleSize),
    o: _ctx.subTitleColor
  } : {}) : {}, {
    p: common_vendor.s({
      padding: $options.addUnit(_ctx.paddingHead || _ctx.padding)
    }),
    q: common_vendor.s(_ctx.headStyle),
    r: _ctx.headBorderBottom ? 1 : "",
    s: common_vendor.o((...args) => $options.headClick && $options.headClick(...args))
  }) : {}, {
    t: common_vendor.o((...args) => $options.bodyClick && $options.bodyClick(...args)),
    v: common_vendor.s({
      padding: $options.addUnit(_ctx.paddingBody || _ctx.padding)
    }),
    w: common_vendor.s(_ctx.bodyStyle),
    x: _ctx.showFoot
  }, _ctx.showFoot ? {
    y: common_vendor.o((...args) => $options.footClick && $options.footClick(...args)),
    z: common_vendor.s({
      padding: _ctx.$slots.foot ? $options.addUnit(_ctx.paddingFoot || _ctx.padding) : 0
    }),
    A: common_vendor.s(_ctx.footStyle),
    B: _ctx.footBorderTop ? 1 : ""
  } : {}, {
    C: common_vendor.o((...args) => $options.click && $options.click(...args)),
    D: _ctx.border ? 1 : "",
    E: _ctx.full ? 1 : "",
    F: $options.getPx(_ctx.borderRadius) > 0 ? 1 : "",
    G: $options.addUnit(_ctx.borderRadius),
    H: _ctx.margin,
    I: _ctx.boxShadow
  });
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-040f828b"], ["__file", "/Users/mac/Desktop/dazi/uni_modules/uview-plus/components/u-card/u-card.vue"]]);
wx.createComponent(Component);
