// 引入 request 文件
import Request from "@/utils/request.js"



/**
 * 留言板
 * @param data 请求参数
 */
export function getMessageBoard(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/index/messageboard',
		data
	})
}


/**
 * 留言板 - 发布留言
 * @param data 请求参数
 */
export function sendmessage(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/index/sendmessage',
		data,
	})
}

/**
 * 发布留言-留言板置顶积分
 */
export function gettoppoints(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/index/gettoppoints',
		data,
	})
}


/**
 * 留言板 - 用户购买留言板微信号
 */
export function buywechatnumber(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/index/buywechatnumber',
		data,
	})
}

/**
 * 获取用户购买留言板微信号所需要的积分
 */
export function getbuywxnumjf(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/index/getbuywxnumjf',
		data,
	})
}