import {
	createSSRApp
} from 'vue'
import App from './App'
// import store from './store'

// import Vuex from "vuex";
// 导入 pinia 实例
import pinia from './store'
import '@/components/interceptor.js'; //引入拦截
import uviewPlus from '@/uni_modules/uview-plus'
// import commonShare from '@/common/commonShare.js'

export function createApp() {
	const app = createSSRApp(App)

	app.use(pinia)
	app.use(uviewPlus)
	// app.mixin(commonShare)

	return {
		app
	}
}