"use strict";
const utils_request = require("../utils/request.js");
function queryList(data) {
  return utils_request.Request.httpRequest({
    method: "GET",
    url: "/api/index/index",
    data
  });
}
function groupdetail(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/index/groupdetail",
    data
  });
}
function buyservice(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/index/buygroup",
    data
  });
}
function pickupdriftBottle(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/pickupdriftBottle",
    data
  });
}
function throwdriftbottle(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/member/throwdriftbottle",
    data
  });
}
function portraitphotography(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/portraitphotography",
    data
  });
}
function moneytree(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/moneytree",
    data
  });
}
function addgoldcoin(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/member/addgoldcoin",
    data
  });
}
function raffle(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/raffle",
    data
  });
}
function prizedraw(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/member/prizedraw",
    data
  });
}
function prizedrawlogs(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/member/prizedrawlogs",
    data
  });
}
function addmailingaddress(data) {
  return utils_request.Request.httpTokenRequest({
    method: "POST",
    url: "/api/member/addmailingaddress",
    data
  });
}
function getindexfootadinfo(data) {
  return utils_request.Request.httpTokenRequest({
    method: "GET",
    url: "/api/index/getindexfootadinfo",
    data
  });
}
exports.addgoldcoin = addgoldcoin;
exports.addmailingaddress = addmailingaddress;
exports.buyservice = buyservice;
exports.getindexfootadinfo = getindexfootadinfo;
exports.groupdetail = groupdetail;
exports.moneytree = moneytree;
exports.pickupdriftBottle = pickupdriftBottle;
exports.portraitphotography = portraitphotography;
exports.prizedraw = prizedraw;
exports.prizedrawlogs = prizedrawlogs;
exports.queryList = queryList;
exports.raffle = raffle;
exports.throwdriftbottle = throwdriftbottle;
