"use strict";
const common_vendor = require("../../common/vendor.js");
const api_my = require("../../api/my.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_uni_fab2 = common_vendor.resolveComponent("uni-fab");
  (_easycom_uni_icons2 + _easycom_uni_fab2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_uni_fab = () => "../../uni_modules/uni-fab/components/uni-fab/uni-fab.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_uni_fab)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "message_board",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const queryParam = common_vendor.ref({
      // type: 2,
      page: 1
    });
    const dataSourse = common_vendor.ref([]);
    const queryList = async () => {
      common_vendor.index.showLoading();
      const res = await api_my.getMessageBoard(queryParam.value);
      common_vendor.index.hideLoading();
      if (res.result.list && res.result.list.length > 0) {
        dataSourse.value.push(...res.result.list);
        if (dataSourse.value && dataSourse.value.length > 0) {
          dataSourse.value.forEach((item) => {
            if (item.message.length > 60) {
              item["isMore"] = true;
              item["contentAll"] = true;
            } else {
              item["isMore"] = false;
              item["contentAll"] = false;
            }
          });
        }
        queryParam.value.page++;
      }
    };
    const onScrolltolower = () => {
      queryList();
      console.log("触底了。。。。。。。。");
    };
    const pattern = {
      color: "#7A7E83",
      backgroundColor: "#fff",
      selectedColor: "#007AFF",
      buttonColor: "#007AFF",
      iconColor: "#fff"
    };
    const changeAllFun = (item, index) => {
      let newList = JSON.parse(JSON.stringify(dataSourse.value));
      newList.forEach((elem, ind) => {
        if (index === ind) {
          elem.contentAll = !elem.contentAll;
        }
      });
      dataSourse.value = newList;
    };
    const fabClick = () => {
      common_vendor.index.navigateTo({
        url: "/pagesMessageBoard/pages/release"
      });
    };
    common_vendor.onShow(() => {
      queryParam.value.page = 1;
      dataSourse.value = [];
      queryList();
    });
    const back = () => {
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(back),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: dataSourse.value.length > 0
      }, dataSourse.value.length > 0 ? {
        e: common_vendor.f(dataSourse.value, (item, index, i0) => {
          return common_vendor.e({
            a: item.headimg,
            b: common_vendor.t(item.nickname),
            c: common_vendor.t(item.message),
            d: item.contentAll ? 1 : "",
            e: item.isMore
          }, item.isMore ? common_vendor.e({
            f: item.contentAll
          }, item.contentAll ? {
            g: common_vendor.o(($event) => changeAllFun(item, index), index)
          } : {
            h: common_vendor.o(($event) => changeAllFun(item, index), index)
          }) : {}, {
            i: common_vendor.f(item.thumbs, (itm, ind, i1) => {
              return {
                a: itm,
                b: ind
              };
            }),
            j: common_vendor.t(item.create_time),
            k: index
          });
        }),
        f: common_vendor.o(onScrolltolower)
      } : {}, {
        g: common_vendor.sr("fab", "3cf7170c-1"),
        h: common_vendor.o(fabClick),
        i: common_vendor.p({
          pattern,
          horizontal: "right",
          vertical: "bottom",
          direction: "horizontal"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMy/pages/message_board.vue"]]);
wx.createPage(MiniProgramPage);
