"use strict";
const common_vendor = require("../../common/vendor.js");
const api_my = require("../../api/my.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_grid_item2 = common_vendor.resolveComponent("up-grid-item");
  const _easycom_up_grid2 = common_vendor.resolveComponent("up-grid");
  const _easycom_up_modal2 = common_vendor.resolveComponent("up-modal");
  (_easycom_uni_icons2 + _easycom_up_grid_item2 + _easycom_up_grid2 + _easycom_up_modal2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_grid_item = () => "../../uni_modules/uview-plus/components/u-grid-item/u-grid-item.js";
const _easycom_up_grid = () => "../../uni_modules/uview-plus/components/u-grid/u-grid.js";
const _easycom_up_modal = () => "../../uni_modules/uview-plus/components/u-modal/u-modal.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_up_grid_item + _easycom_up_grid + _easycom_up_modal)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "point_withdrawal",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const point = common_vendor.ref(0);
    const vip_title = common_vendor.ref("");
    const queryUserInfo = async () => {
      const res = await api_my.getUserInfo({});
      point.value = res.result.balance || 0;
      vip_title.value = res.result.vip_title || "";
    };
    const dataSourse = common_vendor.ref([]);
    const queryList = async () => {
      const res = await api_my.getwithdraw();
      dataSourse.value = res.result || [];
    };
    common_vendor.onShow(() => {
      queryUserInfo();
      queryList();
    });
    const isUserShow = common_vendor.ref(false);
    const isVipUserShow = common_vendor.ref(false);
    const userType = common_vendor.ref("");
    const currentItem = common_vendor.ref();
    const show = common_vendor.ref(false);
    const onExchange = async (i, type) => {
      userType.value = type;
      currentItem.value = i;
      show.value = true;
    };
    const handlePointReflected = () => {
      show.value = false;
      if (userType.value == "user") {
        if (currentItem.value.points_num > point.value) {
          return isUserShow.value = true;
        }
        return TanuseRcou(currentItem.value);
      }
      if (vip_title.value.trim() == "超级合伙人") {
        if (currentItem.value.vip_points_num > point.value) {
          return isUserShow.value = true;
        }
        return TanuseRcou(currentItem.value);
      }
      isVipUserShow.value = true;
    };
    const TanuseRcou = async (i) => {
      show.value = false;
      const res = await api_my.addwithdraw({ withdrawid: i.id });
      console.log(res);
      if (res.code == 200) {
        common_vendor.index.showToast({
          icon: "success",
          title: res.msg
        });
        const pages = getCurrentPages();
        if (pages.length > 1) {
          setTimeout(() => {
            common_vendor.index.navigateBack();
          }, 800);
        } else {
          common_vendor.index.navigateTo({
            url: "/pagesMy/pages/point"
          });
        }
      } else {
        common_vendor.index.showToast({
          icon: "error",
          title: res.msg
        });
      }
    };
    const back = () => {
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(back),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: common_vendor.t(point.value),
        e: (/* @__PURE__ */ new Date()).getTime().toString(),
        f: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-user",
          size: "15",
          color: "#000"
        }),
        g: common_vendor.f(dataSourse.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i.price),
            b: common_vendor.t(i.points_num),
            c: common_vendor.o(($event) => onExchange(i, "user"), index),
            d: index,
            e: "450b5ad6-3-" + i0 + ",450b5ad6-2",
            f: common_vendor.p({
              name: index,
              bgColor: " #f7f7f7"
            })
          };
        }),
        h: common_vendor.p({
          col: "3",
          gap: "10px"
        }),
        i: (/* @__PURE__ */ new Date()).getTime().toString(),
        j: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-VIPyonghu",
          size: "15",
          color: "rgb(234,184,133)"
        }),
        k: common_vendor.f(dataSourse.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i.price),
            b: common_vendor.t(i.vip_points_num),
            c: common_vendor.o(($event) => onExchange(i, "vip_user"), i.id),
            d: i.id,
            e: "450b5ad6-6-" + i0 + ",450b5ad6-5",
            f: common_vendor.p({
              name: i.id,
              bgColor: " #f7f7f7",
              customStyle: {
                border: "2rpx solid rgb(234,184,133)"
              }
            })
          };
        }),
        l: common_vendor.p({
          col: "3",
          gap: "10px"
        }),
        m: common_vendor.o(($event) => isUserShow.value = false),
        n: common_vendor.p({
          show: isUserShow.value,
          width: "550rpx",
          confirmText: "知道了~"
        }),
        o: common_vendor.o(($event) => isVipUserShow.value = false),
        p: common_vendor.p({
          show: isVipUserShow.value,
          confirmText: "知道了~"
        }),
        q: common_vendor.o(handlePointReflected),
        r: common_vendor.o(($event) => show.value = false),
        s: common_vendor.p({
          show: show.value,
          title: "",
          width: "500rpx",
          content: "确定要提现吗？",
          showCancelButton: true,
          contentTextAlign: "center"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMy/pages/point_withdrawal.vue"]]);
wx.createPage(MiniProgramPage);
